Plan de travail

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SelectPlane and the translation is 17% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Stretch.svg Stretch

Draft SelectPlane.svg Plan de travail

Emplacement du menu
Draft → Utilitaires → Plan de travail
Ateliers
Draft Module
Raccourci par défaut
W P
Introduit dans la version
-
Voir aussi
Draft SetWorkingPlaneProxy


Description

L'atelier Draft dispose d'un système de plan de travail qui vous permet d'indiquer un plan personnalisé dans l'espace 3D sur lequel la prochaine commande Draft aura lieu. Il existe plusieurs méthodes pour définir le plan de travail :

  • Depuis une face sélectionnée
  • Depuis la vue courante
  • Depuis 3 vecteurs sélectionnés
  • D'un préréglage : dessus, de face ou latéral.
  • Aucun, auquel cas le plan de travail est adapté automatiquement à l'affichage actuel lorsque vous lancez une commande, ou à une face si vous commencez à dessiner sur une face existante.

WorkingPlane example.png

Different working planes can be set on which to draw shapes


Utilisation

Le bouton Draft SelectPlane.png Plan de travail est présent dans la barre d'outils Draft tray, qui apparaît seulement dans les ateliers Draft and Arch.

Without element selected

  1. Press the Draft SelectPlane.svg SelectPlane button.
  2. Select the offset, the grid spacing, and the main lines
  3. Select one of the presets: View-top.svg XY (top), View-front.svg XZ (front), View-right.svg YZ (side), View-isometric.svg View, or View-axonometric.svg Auto.

Once the plane is set, the button will change to indicate the active plane Draft SelectPlane.png Top, Draft SelectPlane.svg Front, Draft SelectPlane.svg Side, Draft SelectPlane.png Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

You can show and hide the grid with the shortcut G R.

With element selected

  1. Select a face of an existing object in the 3D view, or hold Ctrl and select three vertices of any object. introduced in version 0.17
  2. Press the Draft SelectPlane.svg SelectPlane button, or right click and select Utilities → Draft SelectPlane.svg SelectPlane.

The plane will be created aligned to the face of the object, or to the plane defined by the three vertices.

Options

  • Pour définir le plan de travail sur une géométrie existante : sélectionnez une face d'un objet existant dans la vue 3D ou, Disponible dans la version 0.17, tenez la touche CTRL enfoncée, 3 vecteurs ou plusieurs objet(s). Puis appuyez sur le bouton Draft SelectPlane.pngPlan de travail.
  • Appuyez sur ​​la touche VUE pour définir le plan de travail de la vue plan, perpendiculairement à l'axe de la caméra en passant par le point d'origine (0,0,0).
  • Appuyer sur ​​la touche AUTO désactivera le plan de travail actuellement utilisé. Les prochaines opérations 2D seront dépendantes de la vue.
  • Vous pouvez également spécifier une valeur de décalage, ce qui placera votre plan de travail à la distance voulue par rapport au plan que vous sélectionnez.
  • Vous pouvez masquer et afficher la grille avec le raccourcis clavier GR

Script

L'objet plan de travail peut facilement être créé et manipulé dans les scripts et les macros. Vous pouvez créer vos propres plans de travail et les utiliser indépendamment du plan de travail courant.

Working plane objects can easily be created and manipulated in macros and from the Python console.

Vous pouvez également accéder au plan de travail du projet actuel :

import FreeCAD

Workplane = FreeCAD.DraftWorkingPlane

v1 = FreeCAD.Vector(0, 0, 0)
v2 = FreeCAD.Vector(1, 1, 1).normalize()

Workplane.alignToPointAndAxis(v1, v2, 17)

A Draft command must be issued after changing the working plane to update the visible grid.

Exemple :

import WorkingPlane

Plane = WorkingPlane.plane()
Arrow-left.svg Previous: Draft Stretch.svg Stretch